Bug 1732680 - v22.5.3 available, Race condition resolved in the new version
Summary: v22.5.3 available, Race condition resolved in the new version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autojump
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 06:36 UTC by Stanislav Kontar
Modified: 2020-05-01 04:05 UTC (History)
5 users (show)

Fixed In Version: autojump-22.5.3-1.fc31 autojump-22.5.3-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-01 04:05:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github wting autojump issues 391 0 None open Database entry(ies) regularly wiped 2020-04-20 00:14:37 UTC

Description Stanislav Kontar 2019-07-24 06:36:19 UTC
Description of problem:
Autojump sometimes deletes its database. 

Version-Release number of selected component (if applicable):
autojump-22.5.1-5.fc30.noarch

How reproducible:
Randomly as it is a race condition

Steps to Reproduce:
1. Use autojump for some longer time (weeks, months)
2. Observe that database gets deleted

Actual results:
Directory database gets deleted

Expected results:
Directory database is never deleted

Additional info:
Author claims in https://github.com/wting/autojump/issues/391 that the problem is resolved in version v22.5.3 released in April.

Comment 1 Fedora Update System 2020-03-16 09:19:38 UTC
FEDORA-2020-abf87ca5a1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-abf87ca5a1

Comment 2 Tomas Tomecek 2020-03-16 09:21:38 UTC
Oh, this is F30. I thought it's F31 - sorry not gonna build/update it for f30 since it's EOL soon.

Comment 3 Stanislav Kontar 2020-03-16 09:30:19 UTC
Sure, I think F31 is enough.

Comment 4 Fedora Update System 2020-03-16 14:53:39 UTC
autojump-22.5.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-abf87ca5a1

Comment 5 Fedora Update System 2020-03-24 01:48:19 UTC
FEDORA-2020-abf87ca5a1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Sergio Basto 2020-04-20 00:17:14 UTC
we need this build on F32 , v22.5.3 is available on F31 and rawhide but not on F32 [1]


https://bodhi.fedoraproject.org/updates/?packages=autojump
https://koji.fedoraproject.org/koji/packageinfo?packageID=11364

Comment 7 Fedora Update System 2020-04-22 09:15:18 UTC
FEDORA-2020-a0e9eb1e58 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a0e9eb1e58

Comment 8 Fedora Update System 2020-04-23 20:45:08 UTC
FEDORA-2020-a0e9eb1e58 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a0e9eb1e58`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a0e9eb1e58

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-01 04:05:10 UTC
FEDORA-2020-a0e9eb1e58 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.